describe('Logout user', () => {
  before(() => {
    const userEmail = Cypress.env('USER_EMAIL');
    const userPassword = Cypress.env('USER_PASSWORD');
    cy.login(userEmail, userPassword);
  });
  it('should logout and go to login page', () => {
    cy.get('button#menu-button').click();
    cy.get('#logout').click();
    cy.url().should('include', '/login');
  });
});

describe('Logout admin', () => {
  before(() => {
    const adminEmail = Cypress.env('ADMIN_EMAIL');
    const userPassword = Cypress.env('USER_PASSWORD');
    cy.login(adminEmail, userPassword);
  });
  it('should logout and go to login page', () => {
    Cypress.config('defaultCommandTimeout', 10000);
    cy.get('button#menu-button').click();
    cy.get('#logout').click();
    cy.url().should('include', '/login');
  });
});